package com.kingdee.eas.custom.beisen.synchronouspos;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class SynchronousPosFacadeFactory
{
    private SynchronousPosFacadeFactory()
    {
    }
    public static ISynchronousPosFacade getRemoteInstance() throws BOSException
    {
        return (ISynchronousPosFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("D8629CA8") , ISynchronousPosFacade.class);
    }
    
    public static ISynchronousPosFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (ISynchronousPosFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("D8629CA8") , ISynchronousPosFacade.class, objectCtx);
    }
    public static ISynchronousPosFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (ISynchronousPosFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("D8629CA8"));
    }
    public static ISynchronousPosFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (ISynchronousPosFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("D8629CA8"));
    }
}